Create agent
curl --request POST \
--url https://api.akua.dev/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"capabilities": [],
"description": "<string>",
"ambient": {
"enabled": true,
"triggers": [
{
"trigger_id": "<string>",
"cooldown_seconds": 123,
"relationship_scope": {
"type": "WORKSPACE"
},
"resource_filters": [
{
"type": "<string>",
"id": "<string>"
}
]
}
]
}
}
'import requests
url = "https://api.akua.dev/v1/agents"
payload = {
"name": "<string>",
"instructions": "<string>",
"capabilities": [],
"description": "<string>",
"ambient": {
"enabled": True,
"triggers": [
{
"trigger_id": "<string>",
"cooldown_seconds": 123,
"relationship_scope": { "type": "WORKSPACE" },
"resource_filters": [
{
"type": "<string>",
"id": "<string>"
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
instructions: '<string>',
capabilities: [],
description: '<string>',
ambient: {
enabled: true,
triggers: [
{
trigger_id: '<string>',
cooldown_seconds: 123,
relationship_scope: {type: 'WORKSPACE'},
resource_filters: [{type: '<string>', id: '<string>'}]
}
]
}
})
};
fetch('https://api.akua.dev/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"capabilities": [],
"ambient": {
"enabled": true,
"triggers": [
{
"trigger_id": "<string>",
"cooldown_seconds": 123,
"relationship_scope": {
"type": "WORKSPACE"
},
"resource_filters": [
{
"type": "<string>",
"id": "<string>"
}
],
"quiet_hours": {
"timezone": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"policy": {
"allowed_resource_scopes": [
{
"type": "<string>",
"id": "<string>"
}
],
"max_spend_cents_per_trigger": 1
}
},
"model_policy": {
"default_model": "<string>",
"credential_secret_id": "<string>",
"allowed_models": [
"<string>"
],
"severity_model_overrides": [
{
"model": "<string>"
}
],
"max_budget_cents": 1,
"max_turn_budget_cents": 1
},
"created_by": "<string>",
"usage_summary": {
"provider_cost_cents": 1,
"provider_token_count": 1,
"runtime_compute_seconds": 1,
"runtime_storage_gb_hours": 1,
"mcp_call_count": 1,
"api_call_count": 1,
"ambient_trigger_count": 1
},
"created_at": 1,
"updated_at": 1,
"etag": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Agents
Create agent
Creates a durable workspace-scoped agent identity.
POST
/
agents
Create agent
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Body
application/json
Required string length:
1 - 120Required string length:
1 - 20000Required array length:
1 - 10 elementsAvailable options:
CHAT, CODING, AMBIENT Maximum string length:
500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Agent created
Required string length:
1 - 54Required string length:
1 - 53Required string length:
1 - 54Available options:
ENABLED, ARCHIVED Available options:
PLATFORM, USER, SYSTEM Available options:
CHAT, CODING, AMBIENT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds)
Required range:
x >= 0Unix timestamp (seconds)
Required range:
x >= 0⌘I